Name:		perl-Rose-DateTime
Version:	0.540
Release:	6%{?dist}
Summary:	DateTime helper functions and objects
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Rose-DateTime/
Source0:	http://www.cpan.org/authors/id/J/JS/JSIRACUSA/Rose-DateTime-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(DateTime)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Rose::Object)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Exporter)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_from_requires /perl(Rose::DateTime::Util)/d
%filter_setup

%description
The Rose::DateTime::* modules provide a few convenience functions and
objects for use with DateTime dates.

%prep
%setup -q -n Rose-DateTime-%{version}
find . -type f -executable -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Rose/DateTime.pm
%{perl_vendorlib}/Rose/DateTime/
%{_mandir}/man3/Rose::DateTime*.3pm*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.540-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.540-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.540-4
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.540-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.540-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec  9 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.540-1
- update to version 0.540
- Handle object return value from DateTime->DefaultLocale

* Tue Oct  8 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.539-1
- update to version 0.539
- fixes typos in documentation

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.538-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Petr Pisar <ppisar@redhat.com> - 0.538-2
- Perl 5.18 rebuild

* Thu Mar 21 2013 Bill Pemberton <wfp5p@virginia.edu> - 0.538-1
- update to version 0.538
- makes sure that "today" is parsed with time set to 00:00:00

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.537-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 24 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-4
- update Requires and BuildRequires

* Mon Jul 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-3
- remove buildroot and clean
- remove defattr from files section


* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-2
- Remove execute bit from pm files

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.537-1
- Initial version
